## iceape 2.0.11

=== mozilla/build/wince/tools/Makefile ===
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Mozilla core build scripts.
#
# The Initial Developer of the Original Code is
# Brad Lassey <blassey@mozilla.com>
#
# Portions created by the Initial Developer are Copyright (C) 2005
# the Mozilla Foundation <http://www.mozilla.org/>. All Rights Reserved.
#
# Contributor(s): 
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH = ../../..
topsrcdir = ../../..
srcdir = .
VPATH = .


TOPSRCDIR = $(topsrcdir)
OBJDIR = $(shell cd $(DEPTH); pwd -W)
CFLAGS += -DHAVE_SHUNT
MOZCE_NOT_CONFIGURE=1
include $(DEPTH)/config/autoconf.mk

ifdef MOZ_MEMORY
CFLAGS += -DMOZ_MEMORY
endif

include $(topsrcdir)/build/wince/tools/Makefile

export::

tools::

=== mozilla/security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifeq ($(FREEBL_NO_DEPEND),1)
	DEFINES += -DFREEBL_NO_DEPEND
	LOWHASH_SRCS = stubs.c nsslowhash.c
	LOWHASH_EXPORTS = nsslowhash.h
	MAPFILE_SOURCE = freebl_hash.def
else
	MAPFILE_SOURCE = freebl.def
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits x64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
ifdef USE_64
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (OS2,$(OS_TARGET))
    ASFILES  = mpi_x86_os2.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WINCE
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
else
    # -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    MPI_SRCS += mpi_amd64.c
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next two lines to turn off intel HW accelleration
#    DEFINES += -DUSE_HW_AES
#    ASFILES += intel-aes.s
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,
	    # no FPU (non-VIS cpus). For building with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size.
	    # See comment for USE_ABI32_FPU.
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1

=== debian/changelog ===
iceape (2.0.11-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2010-{74-84}, also known as
    CVE-2010-3776, CVE-2010-3778, CVE-2010-3769, CVE-2010-3771,
    CVE-2010-3772, CVE-2010-3768, CVE-2010-3775, CVE-2010-3766,
    CVE-2010-3767, CVE-2010-3773, CVE-2010-3774, CVE-2010-3770.
  * debian/copyright: Updated to include gfx/ots.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Dec 2010 00:17:38 +0100

iceape (2.0.10-1) unstable; urgency=low

  * New upstream release.
  * Fix for mfsa2010-73, also known as CVE-2010-3765.

 -- Mike Hommey <glandium@debian.org>  Thu, 28 Oct 2010 13:12:40 +0200

iceape (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2010-{64-69}, also known as
    CVE-2010-3176, CVE-2010-3174, CVE-2010-3179, CVE-2010-3180,
    CVE-2010-3183, CVE-2010-3177, CVE-2010-3178.
  * debian/control: Bump build dependencies on libnspr4-dev and libnss3-dev
    to fit what configure will be looking for.

  * suite/browser/browser-prefs.js: Unset startup.homepage_override_url.

 -- Mike Hommey <glandium@debian.org>  Fri, 22 Oct 2010 09:15:11 +0200

iceape (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 22 Oct 2010 08:47:02 +0200

iceape (2.0.7-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2010-{49-51,53-57,60-63}, also known as
    CVE-2010-3169, CVE-2010-2765, CVE-2010-2767, CVE-2010-3166,
    CVE-2010-2760, CVE-2010-3168, CVE-2010-3167, CVE-2010-2766,
    CVE-2010-2763, CVE-2010-2768, CVE-2010-2769, CVE-2010-2764.

  * memory/jemalloc/jemalloc.c: Properly disable ncpus in jemalloc, which
    the previous patch didn't do.
  * extensions/auth/nsHttpNegotiateAuth.cpp: Calculate negotiate auth token
    length after removing padding. bz#592692.
  * gfx/qcms/iccread.c: Fix unaligned reads in qcms. bz#504766.

 -- Mike Hommey <glandium@debian.org>  Wed, 08 Sep 2010 09:05:17 +0200

iceape (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Fixes mfsa-2010-{34-37,39-42,45-47}, also known as
    CVE-2010-1211, CVE-2010-1208, CVE-2010-1209, CVE-2010-1214,
    CVE-2010-2752, CVE-2010-2753, CVE-2010-1205, CVE-2010-1213,
    CVE-2010-2751, CVE-2010-0654, CVE-2010-2754.

  * debian/control:
    - Add build-depends on libglib2.0-dev (>= 2.18.0) for filemonitor.
    - Bump libnss build-depends to fit what configure is looking for.
    - Bump Standards-Version to 3.9.0.0.
    - Fit the Uploaders field to reality.
  * debian/mozconfig, debian/rules: Check if mozconfig system library options
    will properly set the right variables.
  * debian/rules: Only set -std=gnu++0x flag when using g++ 4.4+.
    Refresh debian packages search plugin
  * debian/extras/debsearch.src: Refresh debian packages search plugin.
    Thanks Sérgio Cipolla. Closes: #588053.
  * debian/mozconfig: Don't set --with-system-bz2, it's not used.

  * xpcom/reflect/xptcall/src/md/unix/*ppc_linux*: Add support for powerpcspe.
    Closes: #586101.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Jul 2010 02:45:40 +0200

iceape (2.0.5-1) unstable; urgency=high

  * New upstream release.
  * Fixes mfsa-2010-{26-33}, also known as
    CVE-2010-1200, CVE-2010-1201, CVE-2010-1202, CVE-2010-0183,
    CVE-2010-1198, CVE-2010-1196, CVE-2010-1199, CVE-2010-1125,
    CVE-2010-1197, CVE-2008-5913.

  * debian/iceape-browser.install: Install debian.jar and debian.manifest in
    the correct location. Closes: #583814.

  * modules/libpr0n/encoders/png/nsPNGEncoder.cpp: Use png_set_filter to make
    libpng not use write filters. bz#564410.
  * netwerk/protocol/http/src/nsHttpChannel.cpp: Make sure to call
    OnStartRequest even if we're failing on an SSL CONNECT. bz#561536.
  * memory/jemalloc/jemalloc.c: Use syscall() for mmap and munmap, and disable
    ncpus use in jemalloc to work around deadlocks. Replaces the previous patch
    to use a small pool of static memory during initialization. bz#435683

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jun 2010 14:31:58 +0200

iceape (2.0.4-2) unstable; urgency=low

  * debian/extra-stuff/*: Synchronize with xulrunner.
  * debian/iceape-browser.install: Install debUpdateNotifier related chrome
    (localization).
  * debian/rules: Build with -std=gnu++0x.
  * debian/branding/Makefile.in, debian/branding/aboutIce.js,
    debian/branding/ice.*, debian/branding/jar.mn,
    debian/iceape-browser.install: Add a about:iceape page similar to
    about:mozilla.

  * mozilla/toolkit/xre/nsAppRunner.cpp:
    - KDE/Gnome startup notification not disappearing when app window is up.
      bz#416053. Closes: #562970.
    - KDE/Gnome startup notification not disappearing for the first time
      startup (needsRestart). bz#534845.
  * configure*, mozilla/configure*, mozilla/js/src/configure*: Revert change
    to force not to use -fshort-wchar.
  * configure*, mozilla/configure*, mozilla/js/src/configure*,
    mozilla/js/src/config/autoconf.mk.in, mozilla/xpcom/glue/nsStringAPI.h,
    mozilla/xpcom/string/public/nsLiteralString.h,
    mozilla/xpcom/xpcom-config.h.in: Use char16_t when available, and when it
    is, don't test for -fshort-wchar. bz#502298.
  * mozilla/embedding/components/find/src/nsFind.cpp,
    mozilla/layout/base/nsCSSRendering.cpp,
    mozilla/layout/generic/nsTextFrameThebes.cpp,
    mozilla/modules/libpr0n/decoders/jpeg/nsJPEGDecoder.cpp,
    mozilla/modules/plugin/base/public/npruntime.h,
    mozilla/netwerk/streamconv/converters/nsBinHexDecoder.cpp,
    mozilla/xpcom/tests/TestEncoding.cpp: Fix compiler errors with g++ 4.4
    with -std=gnu++0x of the form: error: narrowing conversion ... inside { }.
    bz#502301.
  * mozilla/xpcom/reflect/xptcall/src/md/unix/Makefile.in,
    mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_linux_sh.cpp,
    mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_linux_sh.cpp: Add
    xptcall support for SH4 processors. Closes: #573400. bz#382214.


=== debian/control ===
Source: iceape
Section: net
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 7.2.3),
               autotools-dev,
               libgtk2.0-dev,
               zip,
               libjpeg62-dev | libjpeg-dev,
               libpng12-dev,
               zlib1g-dev,
               libxft-dev,
               libfontconfig1-dev,
               libidl-dev,
               libxp-dev,
               libxt-dev,
               libxau-dev,
               libcairo2-dev (>= 1.8.8),
               libglib2.0-dev (>= 2.18.0),
               libgnomevfs2-dev,
               libgnomeui-dev,
               dpkg-dev (>= 1.13.19), dpkg-dev (<= 1.14.7) | dpkg-dev (>= 1.14.11),
               imagemagick,
               librsvg2-bin,
               libhunspell-dev (>= 1.1.5-2),
               libnspr4-dev (>= 4.8.6),
               libnss3-dev (>= 3.12.8),
               libstartup-notification0-dev,
               libdbus-glib-1-dev,
               libsqlite3-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               python-ply
Build-Conflicts: libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.0.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceape.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceape.git

Package: iceape
Architecture: all
Section: web
Depends: iceape-browser, iceape-mailnews, ${misc:Depends}
Recommends: iceape-chatzilla
Conflicts: iceape-calendar (<< 2.0)
Description: The Iceape Internet Suite
 The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
 for free distribution. The Seamonkey Internet Suite is a set of Internet
 oriented applications. It is the continuity of the Mozilla Suite after it
 has been abandoned in favor of Firefox and Thunderbird.
 .
 The Iceape Internet Suite consists of:
  - an Internet browser (Iceape Navigator)
  - an HTML WYSIWYG editor (Iceape Composer)
  - a Mail and News client (Iceape Mail & Newsgroups)
  - an Address Book (Iceape Address Book)
  - an IRC client (Chatzilla)
  - a Calendar (Iceape Calendar) (not officially in the suite)
 .
 This is a metapackage that depends on the main components of this suite.
 It is here to ease upgrades, installations, and provide a consistent upgrade
 path from previous versions.
 .
 It can safely be removed with no ill effects.

Package: iceape-browser
Architecture: any
Section: web
Depends: ${shlibs:Depends}, libcairo2 (>= 1.8.8), ${misc:Depends}
Suggests: ttf-lyx | latex-xft-fonts, libgssapi-krb5-2 | libkrb53, iceape-mailnews, xul-ext-dom-inspector, ${gnome:Depends}, libgnomeui-0, libcanberra0
Conflicts: iceape-dev-bin (= 1.1.14-1.1), iceape-mailnews (<< 2.0), iceape-chatzilla (<< 2.0), iceape-dom-inspector (<< 2.0), iceape-gnome-support
Replaces: iceape-gnome-support
Provides: www-browser
Description: Iceape Navigator (Internet browser) and Composer
 Iceape Navigator is a sophisticated graphical World-Wide-Web browser, with
 a large number of various browser features like support for HTML 4.0, CSS
 2, JavaScript, etc. It also features tabbed browsing, popup blocking, and
 many others options.
 .
 Iceape Composer is a WYSIWYG HTML editor that lets you modify arbitrary
 HTML pages. It provides dynamic image and table resizing, quick insert
 and delete of table cells, and supports CSS and positioned layers.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-dev
Architecture: all
Section: devel
Depends: xulrunner-dev, ${misc:Depends}
Conflicts: iceape-dev-bin
Description: Transition package to xulrunner-dev
 This package contains the header and idl files to develop components for
 Iceape. It is recommended that you use xulrunner-dev instead, when possible.

Package: iceape-dbg
Architecture: any
Priority: extra
Section: debug
Depends: iceape-browser (= ${binary:Version}) | iceape-mailnews (= ${binary:Version}), ${misc:Depends}
Conflicts: iceape-browser (<< ${binary:Version}), iceape-browser (>> ${binary:Version}),
           iceape-mailnews (<<  ${binary:Version}), iceape-mailnews (>> ${binary:Version})
Description: Debugging symbols for the Iceape Internet Suite
 This package provides the debugging symbols for the Iceape Internet Suite
 programs. Install this package if you need to debug such a program or if
 you need a useful backtrace of a crash.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-mailnews
Architecture: any
Section: mail
Depends: ${shlibs:Depends}, iceape-browser (= ${binary:Version}), ${misc:Depends}
Conflicts: iceape-browser (<< 2.0)
Provides: mail-reader, imap-client, news-reader
Description: Iceape Mail & Newsgroups and Address Book
 Iceape Mail & Newsgroups client supports NNTP Newsgroups and IMAP/POP Mail.
 It has a full variety of features such as multiple accounts, labels,
 adaptive junk mail control, S/MIME, digital signing.
 .
 Iceape Address Book adds address book management to the Iceape Mail &
 Newsgroups client. It supports LDAP, vCards...
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-chatzilla
Architecture: all
Section: net
Depends: iceape-browser (>= ${source:Upstream-Version}), iceape-browser (<= ${source:Version}.1~), ${misc:Depends}
Description: Iceape Chatzilla IRC client
 Chatzilla is a full featured IRC client integrated with the Iceape
 Internet Suite. It is scriptable, and supports what most people would
 expect from an IRC client.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS := -g
MAIN_LDFLAGS := -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
	MAIN_LDFLAGS += -Wl,--no-relax
endif

ifeq ($(DEB_BUILD_ARCH),ppc64)
	CFLAGS += -mminimal-toc
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif

TMP_DIR  = $(CURDIR)/debian/tmp
APPLICATIONS_DIR = $(TMP_DIR)/usr/share/applications
DIST = $(CURDIR)/mozilla/dist
AUTOCONF_DIRS = mozilla/build/autoconf directory/c-sdk/config/autoconf mozilla/js/src/build/autoconf

ifndef CXX
CXX := g++
endif
CXXFLAGS := $(CFLAGS)
ifeq (,$(shell dpkg --compare-versions $(shell $(CXX) -dumpversion) '>=' 4.4 || echo no))
CXXFLAGS += -std=gnu++0x
endif

override_dh_auto_configure:
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done

	MOZCONFIG=debian/mozconfig \
	ASFLAGS="-g" \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS)
	mozilla/build/autoconf/make-makefile -t . debian/extra-stuff
	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/c-sdk/config/autoconf.mk

	#cp -f debian/localstart.html debian/README.Debian $(CURDIR)/xpfe/global/resources/content/
	#cp -f debian/mailstart.xhtml $(CURDIR)/mailnews/base/resources/content/start.xhtml

check-system-libs:
	@awk -F' *# *| *$$' ' \
	$$1 ~ /system/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "$(MAKE) -C mozilla --no-print-directory echo-variable-" var[1]; \
			cmd |  getline value; \
			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
		} \
	} \
	END { if (error) { exit 1 }}' debian/mozconfig

override_dh_auto_build: check-system-libs
	# icons
	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber-single.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-single.png

	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber-single.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-single.png

	cp -f $(CURDIR)/debian/extras/preview.png \
		$(CURDIR)/suite/themes/classic/preview.png

	# full build
	dh_auto_build --parallel
	$(MAKE) -C debian/extra-stuff

override_dh_auto_clean:
	rm -f build-stamp install-stamp MPL
	rm -f $(CURDIR)/suite/themes/classic/communicator/brand/throbber-anim.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-anim.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber-single.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-single.png
	rm -f $(CURDIR)/suite/themes/modern/communicator/brand/throbber-anim.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-anim.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber-single.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-single.png
	rm -f $(CURDIR)/suite/themes/classic/preview.png

	[ ! -f config/autoconf.mk ] || $(MAKE) -C debian/extra-stuff distclean
	dh_auto_clean --parallel

	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^exec "/d' $$dir/$$file; \
		done; \
	done

NO_PKG_FILES = \
	 $(shell $(MAKE) --no-print-directory -C suite/installer echo-variable-NO_PKG_FILES) \
	 $(shell sed /^\#/d debian/no_pkg_files)

override_dh_auto_install:
	$(MAKE) -C suite/installer packages
	cat debian/pkg_files >> suite/installer/packages
	dh_auto_install -- MOZ_PKG_REMOVALS= NO_PKG_FILES="$(NO_PKG_FILES)"
	$(MAKE) -C debian/branding install DESTDIR=$(TMP_DIR)

# Install nspr and nss links
	for lib in ssl3 softokn3 smime3 nss3 nspr4 plc4 plds4; do \
		[ -f /usr/lib/lib$$lib.so ] && libpath=/usr/lib; \
		[ -f /usr/lib/nss/lib$$lib.so ] && libpath=/usr/lib/nss; \
		ln -s $$libpath/$$(objdump -p $$libpath/lib$$lib.so | awk '/SONAME/{print $$2}') debian/tmp/usr/lib/iceape/lib$$lib.so; \
	done
	ln -s /usr/lib/nss/libnssckbi.so debian/tmp/usr/lib/iceape/

	install -d -m 755 $(TMP_DIR)/usr/share/pixmaps
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/main-window.png $(TMP_DIR)/usr/share/pixmaps/iceape.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/editorWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-composer.xpm
	install -m 644 $(TMP_DIR)/usr/lib/iceape/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/chrome/icons/default/chatzilla-window.xpm $(TMP_DIR)/usr/share/pixmaps/chatzilla.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/addressbookWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-addressbook.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/messengerWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-mailnews.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/msgcomposeWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-mail-compose.xpm

	install -d -m 755 $(TMP_DIR)/usr/share/applications
	install -m 644 $(CURDIR)/debian/menu_dir/*.desktop $(TMP_DIR)/usr/share/applications

	install -m 644 $(CURDIR)/debian/extras/*.src $(CURDIR)/debian/extras/*.gif $(TMP_DIR)/usr/lib/iceape/searchplugins

	install -d -m 755 $(TMP_DIR)/usr/sbin
	install -m 755 $(CURDIR)/debian/iceape-runner $(TMP_DIR)/usr/lib/iceape/iceape

	install -m 644 $(DIST)/bin/.autoreg $(TMP_DIR)/usr/lib/iceape

	install -d -m 755 $(TMP_DIR)/etc/iceape/pref
	install -m 644 $(CURDIR)/debian/base.js $(TMP_DIR)/etc/iceape/pref
	install -m 644 $(CURDIR)/debian/iceaperc $(TMP_DIR)/etc/iceape

	install -m 644 $(CURDIR)/debian/vendor.js $(TMP_DIR)/usr/lib/iceape/defaults/pref

	cp -f mozilla/LICENSE MPL

override_dh_installdocs:
	dh_installdocs -A MPL

override_dh_install:
	dh_install $(if $(filter -i -a,$(DH_INTERNAL_OPTIONS)),--list-missing,--fail-missing)

override_dh_strip:
	dh_strip -a --dbg-package=iceape-dbg

override_dh_makeshlibs:

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(TMP_DIR)/usr/lib/iceape -Xlibmozgnome -Xlibnkgnomevfs -Xlibdbusservice
	LD_LIBRARY_PATH=$(TMP_DIR)/usr/lib/iceape dpkg-shlibdeps -Tdebian/iceape-browser.substvars -dDepends -pgnome $(foreach lib,dbusservice mozgnome nkgnomevfs,debian/iceape-browser/usr/lib/iceape/components/lib$(lib).so)

override_dh_bugfiles:
	dh_bugfiles -A

source: clean
	sh $(CURDIR)/debian/remove.nonfree
	tar -C .. -jcf ../`dpkg-parsechangelog | sed -n '/Source:/ N; s/Source: \(.*\)\nVersion: \(.*:\|\)\(.*\)-[0-9][0-9]*$$/\1_\3/ p'`.orig.tar.bz2 --exclude=`basename $(CURDIR)`/debian `basename $(CURDIR)`

debian/patches:
ifdef REVLIST
	rm -rf $@
	mkdir $@
	cd $@ && git format-patch -k -N $(REVLIST) > series
	sed -i '1d;:a;$$d;N;3,4ba;P;D' $@/*.patch
else
	@echo You must define the REVLIST variable to a git revisions list
endif

binary binary-arch binary-indep build clean install:
	dh $@

.PHONY: build clean binary-indep binary-arch binary install source debian/patches check-system-libs
